using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class lab : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack)
            return;

        BindData();
    }


    #region 产品绑定
    /// <summary>
    /// 数据绑定
    /// </summary>
    private void BindData()
    {

        //计算总数的语句的头部
        string sql_CountFirst = string.Empty;
        sql_CountFirst += " select";
        sql_CountFirst += " count(*)";
        sql_CountFirst += " from NT_Data ";
        sql_CountFirst += " where ClassId=281";

        //查询语句的头部
        string sql_SelectFirst = "select ID ,ClassId,Title,sTitle,TitlePicture,Intro,Content,AddTime,FilePath,Address, OrderNum ";
        sql_SelectFirst += " from NT_Data ";
        sql_SelectFirst += " where ClassId=281";
        sql_SelectFirst += " order by OrderNum desc, ID desc";


        DataTable dt_lab = WebControlsFunc.GetDataTableByAspNetPager(AspNetPager1, sql_CountFirst, sql_SelectFirst);
        lit_lab.Text = "";
        foreach (DataRow dr in dt_lab.Rows)
        {
            lit_lab.Text += "<div class='ny_qun'> <span><img src='" + dr["TitlePicture"] + "' width='150' height='110' /></span><ul class='ny_qun_list'><li class='ny_q_tit'>" + dr["Title"] + "</li><li class='mt8px'>地点：" + dr["Address"] + "</li><li class='look_menu'><a href='labdetails.aspx?lid=" + dr["ID"] + "'><img src='images/look.jpg' /></a></li></ul></div>";
        }


    }
    #endregion

    #region 分页事件
    protected void AspNetPager1_PageChanging(object src, Wuqi.Webdiyer.PageChangingEventArgs e)
    {
        this.AspNetPager1.CurrentPageIndex = e.NewPageIndex;
        BindData();
    }
    #endregion
}
